Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

bumping version to 1.4

  • Loading branch information...
commit 4a3dd6a434d0d42edafa3980f6dbaad68b910904 1 parent 2010f6e
@jkudish jkudish authored
Showing with 7 additions and 16 deletions.
  1. +6 −15 README.md
  2. +1 −1  updater.php
View
21 README.md
@@ -24,7 +24,7 @@ Usage instructions
'sslverify' => true // wether WP should check the validity of the SSL cert when getting an update, see https://github.com/jkudish/WordPress-GitHub-Plugin-Updater/issues/2 and https://github.com/jkudish/WordPress-GitHub-Plugin-Updater/issues/4 for details
'requires' => '3.0', // which version of WordPress does your plugin require?
'tested' => '3.3', // which version of WordPress is your plugin tested up to?
- 'readme' => 'readme.txt' // which readme file to use, defaults to README.md
+ 'readme' => 'README.MD' // which file to use as the readme for the version number
);
new WPGitHubUpdater($config);
}
@@ -32,28 +32,19 @@ Usage instructions
* In your Github repository, you will need to include the following line (formatted exactly like this) anywhere in your Readme file:
- `~Current Version:1.3~`
+ `~Current Version:1.4~`
* You will need to update the version number anytime you update the plugin, this will ultimately let the plugin know that a new version is available.
* **Note**: this class will unfortunately not work with a private repository, your repository needs to be publicly accessible. If anyone knows how to make this work for private repositories, please get in touch!
-FAQ
-===========
-
-Q: I am getting the following error:
- <pre>
- Download failed. SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
- </pre>
-
-A: See the discussion and answer [here](https://github.com/jkudish/WordPress-GitHub-Plugin-Updater/issues/2)
-
-**UPDATE**: this is now fixed in the class thanks to [@pmichael](https://github.com/pmichael), [details here](https://github.com/jkudish/WordPress-GitHub-Plugin-Updater/issues/4)
-
-
Changelog
===========
+### 1.4
+* Minor fixes from @sc0ttkclark's use in Pods Framework
+* Added readme file into config
+
### 1.3
* Fixed all php notices
* Fixed minor bugs
View
2  updater.php
@@ -7,7 +7,7 @@
if ( ! class_exists( 'WPGitHubUpdater' ) ) :
/**
- * @version 1.3
+ * @version 1.4
* @author Joachim Kudish <info@jkudish.com>
* @link http://jkudish.com
* @package GithubUpdater
Please sign in to comment.
Something went wrong with that request. Please try again.